******************************************* 	
*	GLOBAL POVERTY & IMPACT EVALUATION 	*
*	FALL 2009					*
*	Problem Set 1	[Example]		*
*  	By Erick Gong				*
*	Data from Thornton (AER 2008)		*
*******************************************

*******************************************
* Preliminaries					*					
* Clear and set memory				*
* Start a log file				*
* Download Data					*
* Keep Relevant Observations for analysis	*
*******************************************

/* Set Memory */
clear all
set mem 100m
set more off
version 10
cap log close

/* Change Directory to Working Directory */
cd "C:\Documents and Settings\ERICK\My Documents\Fall_2009\ps1"
log using problem_set1, text replace  /* starts a log file that keeps track of everything */

/* Get Data */
use "C:\Documents and Settings\ERICK\My Documents\Fall_2009\ps1\Thornton HIV Testing Data.dta", clear

/* Relevant Observations */
gen MainSample = 1 if test2004==1 & age!=. & villnum!=. & tinc!=. & distvct!=. & hiv2004!=-1 & followup_test!=1
label var MainSample "Sample in Study"
keep if MainSample==1

***************************************************************************
* ATTENTION: In This Example Do FILE I use the variable "under"		  *	
*  as my treatment.  In the problem set you should use the variable "any" * 
*  for any cash incentive and "Ti" for different amounts of cash incentive * 
*  ATTENTION: The outcome in this example is "anycond" of if a condom was  *
* purchased. For the problem set, you should use "got" which indicates if *
*  person got HIV test result								  *	
***************************************************************************

*******************************
* PART I: Summary Statistics	*
*******************************

/* Quesiton 1 */
/* Summary Statistics */
*Describe the variables
des mar educ2004
*Summary Statistics for variables 
sum mar educ2004

/* Q1 Answer: Mean education = 3.6 yrs, 71% sample married */

/*	Advice: When looking at summary statistics, look at the min and max columns.
  	if the min=0 and the max=1 then it is a binary variable. And the mean
  	is the percentage of people who have the outcome */

/* Question 2 */
*Compare Treatment and Control Groups
sum male eversex if under==0
sum male eversex if under==1

/* Q2 Answer: The proportion of males is similar in both groups
		  A higher proportion of the control group has engaged in 
		  sex */

/* Question 3 */
* T-test on difference in means
ttest male,  by(under)

	
*******************************
* PART II: Graphical Analysis *
*******************************

/* Question 4 */
/* Hint: Use the pull down menu: Graphics>Bar Chart>
   Under "Statistics to plot" choose the variable for the y-axis
   Tab to "Categories" and under Group 1 select "Grouping variable" for your x-axis
*/

graph bar (mean)anycond , over(under)

/* Question 5 */

*See Q4

*******************************
* PART III: Linear Regression *
*******************************
/* Question 6 */
*Effect of Any Cash Incentive
reg anycond under, robust
reg anycond under age male mar educ2004 hadsex12 eversex usecondom04 tb land2004, robust

/*Q6 Answer: Estimate of beta is .024. Is is not statistically significant at the 5% level.
		 When additional controls are added, estimate is larger and is statistically
		 significant at the 10% level */

/* Question 7 */

*See Q6
	

**********************************
* PART IV: Heterogenous Effects  *
**********************************

/* Question 9 */
*Interaction Term
gen undermar = under*mar
reg anycond under mar undermar, robust

/* Q9 Answer: Estimate of delta is .05. It is not staistically significant. */

/* Question 10 */
*See Q9

******************
* PART V: Policy *
******************

